Subject: Re: bug#16915: 24.3.50; [ruby-mode] Comments in regexps using the extended syntax are not font-locked properly

From: Stefan Monnier <[email-masked]>
Date: Fri, 07 Mar 2014 16:04:00 -0500

> Ideally, we'd have a new kind of syntax instead of strings (native
> regexp support?), which would make font-lock fontify comments inside.

This is not completely new.  We have a similar problem for example with
TeX's math $...$ and with PostScript's strings (...(...)..).

> Or maybe a modifier on the string syntax?

My preference would be to think about it as a "multi-mode" case, and
hence make it possible to specify a different syntax-table to use within
the regexp.

I think of it along the lines of a new syntax-class, applied to the "/"
char, which would change the syntax-table for the subsequent text.

        Stefan